"use strict";
var $ = function (id) {
    return document.getElementById(id);
};

var processEntry = function() {
	var income = parseFloat( $("income").value );
	if (isNaN(income) || income <=0) { 
		alert("Income must be a valid number greater than zero"); 
	}
	else {
		income = parseInt(income);
		$("tax").value = calculateTax(income);

	}
	$("income").focus();
};

var calculateTax = function(income) {
	var tax;
	if (income <= 9275) {
		tax = income * .10; 
	}
	else if (income > 9275 && income <= 37650) { 
		tax = 927.50 + (income - 9275) * .15;
	}	
	else if (income > 37650 && income <= 91150) {
		tax = 5183.75 + (income - 37650) * .25;
	}
	else if (income > 91150 && income <= 190150) {
		tax = 18558.75 + (income - 91150) * .28;
	}
	else if (income > 190150 && income <= 413350) {
		tax = 46278.75 + (income - 190150) * .33;
	}
	else if (income > 413350 && income <= 415050) {
		tax = 119934.75 + (income - 413350) * .35;
	}
	else if (income > 415050) {
		tax = 120529.75 + (income - 415050) * .396;
	}
	tax.toFixed(2);
	return tax;
};

window.onload = function () {
    $("calculate").onclick = function(){processEntry()};
    $("income").focus();
};